Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class GetProfileTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
              com.bea.p13n.usermgmt.profile.taglib.ResultTag
                  com.bea.p13n.usermgmt.profile.taglib.GetProfileTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class GetProfileTag
extends ResultTag

Corresponds to `<profile:getProfile>`.

The `<profile:getProfile>` tag retrieves the profile corresponding to the provided profile key. The tag has no enclosed body.

Along with the profile key, an explicit successor key can be specified. This successor will then be used, along with the retrieved profile, in subsequent invocations of the `<ugm:getProperty>` tag to ensure property inheritance from the successor. If no successor is retrieved, standard ConfigurableEntity successor search patterns will apply to retrieved properties.

As of 8.1 SP3, this tag does not create a profile -- it will return null if none exists. Use if you want to create a new profile.

Tag Attribute | Required | Type | Description
profileKey | yes | String | A unique identifier that can be used to retrieve the profile which is sought. Example: "`<%=username%>`"
successorKey | no | String | A unique identifier that can be used to retrieve the profile successor. Example: "`<%=defaultGroup%>`"
groupOnly | no | String | Specifies to retrieve a Group rather than a User for the default profile type. No successor will be retrieved when this value is true. Defaults to false.
profileId | no | String | A variable name from which the retrieved profile is available for the duration of the JSP's page scope.
successorId | no | String | A variable name from which the retrieved successor is available for the duration of the JSP's page scope.
scope | no | String | The HTTP scope of the retreived profile. Pass "`request`" or "`session`" as the value. Defaults to session.
result | no | String | A variable name from which the result of the operation is available. Possible Values: Success: `ProfileManagementTag.GET_PROFILE_OK` Informational/Partial Success: `ProfileManagementTag.NO_SUCH_PROFILE ProfileManagementTag.NO_SUCH_SUCCESSOR` Error encountered: `ProfileManagementTag.GET_PROFILE_FAILED`

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
`CREATE_PROFILE_FAILED, CREATE_PROFILE_NO_SUCH_USER, CREATE_PROFILE_OK, GET_PROFILE_FAILED, GET_PROFILE_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, SET_PROPERTY_FAILED, SET_PROPERTY_OK`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetProfileTag()`

Method Summary
`int` | `doStartTag()` Check to see if the profile has already been retrieved; if not, retrieve it and set it in the request or session so that it can be used by the getProperty and setProperty tags.
`String` | `getGroupOnly()` Get the flag indicating to retrieve a group's profile
`boolean` | `getNoOverride()` Set whether to change the session profile thereby changing entitlements satisfaction
`String` | `getProfileId()` Get the id to assign the retrieved profile to
`String` | `getProfileKey()` Get the key of the profile to retrieve
`String` | `getScope()` Get the scope to use (request or session)
`String` | `getSuccessorId()` Get the id to assign the retrieved successor to
`String` | `getSuccessorKey()` Get the key of the successor to retrieve
`void` | `release()` Reset the tag's attributes
`void` | `setGroupOnly(String s)` Set the flag indicating to retrieve a group's profile
`void` | `setNoOverride(boolean noOverride)` Set whether to change the session profile thereby changing entitlements satisfaction
`void` | `setProfileId(String s)` Set the id to assign the retrieved profile to
`void` | `setProfileKey(String s)` Set the key of the profile to retrieve
`void` | `setScope(String s)` Set the scope to use (request or session)
`void` | `setSuccessorId(String s)` Set the id to assign the retrieved successor to
`void` | `setSuccessorKey(String s)` Set the key of the successor to retrieve

Methods inherited from class com.bea.p13n.usermgmt.profile.taglib.ResultTag
`getResult, setResult`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProfileTag

    public GetProfileTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Check to see if the profile has already been retrieved; if not, retrieve it and set it in the request or session so that it can be used by the getProperty and setProperty tags.

  Throws:
    `JspException`

### getGroupOnly

    public String getGroupOnly()

  Get the flag indicating to retrieve a group's profile

### getNoOverride

    public boolean getNoOverride()

  Set whether to change the session profile thereby changing entitlements satisfaction

### getProfileId

    public String getProfileId()

  Get the id to assign the retrieved profile to

### getProfileKey

    public String getProfileKey()

  Get the key of the profile to retrieve

### getScope

    public String getScope()

  Get the scope to use (request or session)

### getSuccessorId

    public String getSuccessorId()

  Get the id to assign the retrieved successor to

### getSuccessorKey

    public String getSuccessorKey()

  Get the key of the successor to retrieve

### release

    public void release()

  Reset the tag's attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ResultTag`

### setGroupOnly

    public void setGroupOnly(String s)

  Set the flag indicating to retrieve a group's profile

### setNoOverride

    public void setNoOverride(boolean noOverride)

  Set whether to change the session profile thereby changing entitlements satisfaction

### setProfileId

    public void setProfileId(String s)

  Set the id to assign the retrieved profile to

### setProfileKey

    public void setProfileKey(String s)

  Set the key of the profile to retrieve

### setScope

    public void setScope(String s)

  Set the scope to use (request or session)

### setSuccessorId

    public void setSuccessorId(String s)

  Set the id to assign the retrieved successor to

### setSuccessorKey

    public void setSuccessorKey(String s)

  Set the key of the successor to retrieve

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved